#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk
from PIL import Image, ImageTk


class App(ttk.Button):
    def __init__(self, parent):
        super().__init__(parent)
        self.images = []
        for i in range(24):
            im = Image.open(f'expl_01_00{i:02}.png')
            self.images.append(ImageTk.PhotoImage(im))
        self.configure(command=self.exit_callback)
        self.after(100, self.animate, 0)

    def animate(self, next_im):
        self.configure(image=self.images[next_im])
        self.after(100, self.animate, (next_im + 1) % len(self.images))

    def exit_callback(self):
        self.winfo_toplevel().destroy()


root = Tk()
App(root).pack()
root.mainloop()
